'use strict';

angular.module('adf.widget.electre.lavoisier')
.controller('baseLavoisierController', [
    "$scope",
    function ($scope) {
        /**
         * Construction de l'objet qui servira comme paramètre d'url.
         * @returns {Object} {url : "", params : {}}
         */
        $scope.getUrlObject = function (config) {
            // Construction de l'url de requête de base.
            var name_of_parameters = "parameters_" + config.view;
            var url_ = config.baseurl + "/" + config.view;

            if (config.rendering)
                if (config[name_of_parameters])     config[name_of_parameters].accept = config.rendering;
                else                                config[name_of_parameters] = { accept : config.rendering };

            // URL FINALE : http://.../...[?parametre=value[&...]]
            return {url : url_ , params : config[name_of_parameters]};
        };
    }
]);